' Program BeamSplitEx.bas
' Copyright 2012 FTG Software
' Beam splitter example
' http://ftgsoftware.com/issues_fswbook2.htm

Sub Main
    Dim i%, d0$, d1$
    PlotClose   ' close FSPlot
    PlotSetup   ' FSPlot colors, size, etc.
    FileOpen "C:\Winfilm\Designs\BeamSplitInit.faw"
    d0$ = Design    ' save initial design
    WbExit  ' in case already open
    ' hide Workbook (about 2x faster)
    ' change to WbOpen in order to view Workbook
    WbOpenHidden  "C:\Winfilm\Workbook\BeamSplit.vts"
    For i = 1 To 10   ' restart 10 times
        WbOptimize
    Next i
    WbExit  ' close the Workbook
    d1$ = Design$   ' save optimized design
    FileOpen "C:\Winfilm\Data\TSdivTP.axw"  ' get TS/TP axes
    PlotActivate    ' open FSPlot
    Design$ = d0$: Angle = 40: Calculate: PlotNext  ' initial
    Design$ = d1$: Angle = 36: Calculate: PlotNext  ' optimized
    Angle = 40: Calculate: PlotNext
    Angle = 44: Calculate: PlotNext
End Sub

Sub PlotSetup
    ' This subroutine automatically generated
    PlotConfig 8757449, 2128, 0
    PlotSize 9420, 7200, 90
    PlotTitleFont = "Arial"
    PlotTitleSize = 110
    PlotLegendSize = 100
    PlotLegendSimple = False
    PlotAxesFont = "Arial"
    PlotAxesLabelSize = 100
    PlotAxesNumberSize = 100
    PlotFontFixed = False
    PlotFontFixedSize = 1
    PlotAxesConfig = 6
    PlotEdgeSpace 50, -25, 50, 25
    PlotAxesSpace .15, .3, .3, 1.5
    PlotColors "255, 16711680, 52224, 16711935, 8421376, 32896, 0, 8421504, 128, 8388608, 32768, 8388736"
    PlotBitmapMode = False
End Sub
